package com.inkasso.factoring.purchManagement.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.inkasso.factoring.creditmanagement.entity.Enterprise;
import com.inkasso.factoring.purchManagement.entity.*;
import com.inkasso.factoring.salesManagement.entity.vo.SalesContractBasicVo;

import java.util.List;

/**
 * @Author Yafan Wang
 * @Date 2023/12/15 13:46
 */
public class PurchContractVo {

    private Long businessKey;

    /**
     * 基础信息
     */
    private SalesContractBasicVo basicInfo;

    /**  供应商 **/
    private Enterprise supplier;

    /**
     * 合同信息
     */
    private CPurchContractBasicInfo purchContractBasicInfo;

    /**
     * 质保金
     */
    private CPurchContractRetentionInfo purchContractRetentionInfo;

    /**
     * 价格规则
     */
    private CPurchContractPriceRule purchContractPriceRule;

    /**
     * 结算与付款
     */
    private CPurchContractSettlePayment purchContractSettlePayment;

    /**
     * 供应商发货人
     */
    private List<CPurchContractBuyerSeller> purchContractBuyerSellerList;

    /**
     * 货物信息
     */
    private List<CPurchContractGoodsInfo> purchContractGoodsInfoList;

    private String taskId;

    /**
     * 0 暂存 1 提交
     */
    private Integer commit;

    public SalesContractBasicVo getBasicInfo() {
        return basicInfo;
    }

    public void setBasicInfo(SalesContractBasicVo basicInfo) {
        this.basicInfo = basicInfo;
    }

    public CPurchContractBasicInfo getPurchContractBasicInfo() {
        return purchContractBasicInfo;
    }

    public void setPurchContractBasicInfo(CPurchContractBasicInfo purchContractBasicInfo) {
        this.purchContractBasicInfo = purchContractBasicInfo;
    }

    public CPurchContractRetentionInfo getPurchContractRetentionInfo() {
        return purchContractRetentionInfo;
    }

    public void setPurchContractRetentionInfo(CPurchContractRetentionInfo purchContractRetentionInfo) {
        this.purchContractRetentionInfo = purchContractRetentionInfo;
    }

    public CPurchContractPriceRule getPurchContractPriceRule() {
        return purchContractPriceRule;
    }

    public void setPurchContractPriceRule(CPurchContractPriceRule purchContractPriceRule) {
        this.purchContractPriceRule = purchContractPriceRule;
    }

    public CPurchContractSettlePayment getPurchContractSettlePayment() {
        return purchContractSettlePayment;
    }

    public void setPurchContractSettlePayment(CPurchContractSettlePayment purchContractSettlePayment) {
        this.purchContractSettlePayment = purchContractSettlePayment;
    }

    public List<CPurchContractBuyerSeller> getPurchContractBuyerSellerList() {
        return purchContractBuyerSellerList;
    }

    public void setPurchContractBuyerSellerList(List<CPurchContractBuyerSeller> purchContractBuyerSellerList) {
        this.purchContractBuyerSellerList = purchContractBuyerSellerList;
    }

    public List<CPurchContractGoodsInfo> getPurchContractGoodsInfoList() {
        return purchContractGoodsInfoList;
    }

    public void setPurchContractGoodsInfoList(List<CPurchContractGoodsInfo> purchContractGoodsInfoList) {
        this.purchContractGoodsInfoList = purchContractGoodsInfoList;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public Enterprise getSupplier() {
        return supplier;
    }

    public void setSupplier(Enterprise supplier) {
        this.supplier = supplier;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Integer getCommit() {
        return commit;
    }

    public void setCommit(Integer commit) {
        this.commit = commit;
    }
}
